﻿#Requires -RunAsAdministrator

# Is er een schijf (PSDrive) met toegang tot HKCR?
if(-not (Get-PSDrive HKCR -ErrorAction SilentlyContinue)) {
  # zo niet, dan aanmaken.
  New-PSDrive -Name HKCR -PSProvider Registry -Root HKEY_CLASSES_ROOT | Out-Null
}

# Alle sleutels zonder item met naam volgens het patroon HKCR\.xyz\ShellNew ...
$keys = Get-Item HKCR:\.*\ShellNew | ? ValueCount -EQ 0
# ... en HKCR\.xyz\watdanook\ShellNew
$keys += Get-Item HKCR:\.*\*\ShellNew | ? ValueCount -EQ 0
if($keys.Count -ne 0) {
  "Er zijn {0} overbodige ShellNew-sleutels verwijderd ..." -f $keys.Count
  $keys | % { Remove-Item $_.PSPath }
}
"Klaar."
